Bug 237781 - Wrong init script
Wrong init script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: arpwatch (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On: 237779
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 08:29 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 10:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-25 08:29:17 EDT
+++ This bug was initially created as a clone of Bug #237779 +++

Description of problem:
The following code exits from the script with error code 0 even when the service
is not correctly started.
if [ "$NETWORKING" = "no" ]
then
        exit 0
fi
It also disables the invocation of status command, which should be executable
all the time. Also there are minor errors in other non-zero error codes.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. disable networking
2. service arpwatch status
3. 
  
Actual results:
nothing is displayed, 0 is returned

Expected results:
correct status of the service is returned

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

Note You need to log in before you can comment on or make changes to this bug.